org.eclnt.jsfserver.elements.componentnodes

## Class OSMVIEWERTRACKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OSMVIEWERTRACKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OSMVIEWERTRACKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSMVIEWERTRACKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OSMVIEWERTRACKNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindAsregion(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindColor(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindComment(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindCoordinates(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindSize(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OSMVIEWERTRACKNode` | `setAdapterbinding(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setAsregion(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setAttributemacro(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setColor(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setComment(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setConfiginfo(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setCoordinates(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setId(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setReference(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setRendered(boolean value)`
    `OSMVIEWERTRACKNode` | `setRendered(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setSize(java.lang.String value)`
    `OSMVIEWERTRACKNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OSMVIEWERTRACKNode

          public OSMVIEWERTRACKNode()

  - ### Method Detail

    - #### setId

          public OSMVIEWERTRACKNode setId(java.lang.String value)

    - #### setAdapterbinding

          public OSMVIEWERTRACKNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OSMVIEWERTRACKNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAsregion

          public OSMVIEWERTRACKNode setAsregion(java.lang.String value)

    - #### bindAsregion

          public OSMVIEWERTRACKNode bindAsregion(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public OSMVIEWERTRACKNode setAttributemacro(java.lang.String value)

    - #### setColor

          public OSMVIEWERTRACKNode setColor(java.lang.String value)

    - #### bindColor

          public OSMVIEWERTRACKNode bindColor(IDynamicContentBindingObject value)

    - #### setComment

          public OSMVIEWERTRACKNode setComment(java.lang.String value)

    - #### bindComment

          public OSMVIEWERTRACKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public OSMVIEWERTRACKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OSMVIEWERTRACKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCoordinates

          public OSMVIEWERTRACKNode setCoordinates(java.lang.String value)

    - #### bindCoordinates

          public OSMVIEWERTRACKNode bindCoordinates(IDynamicContentBindingObject value)

    - #### setReference

          public OSMVIEWERTRACKNode setReference(java.lang.String value)

    - #### setRendered

          public OSMVIEWERTRACKNode setRendered(java.lang.String value)

    - #### bindRendered

          public OSMVIEWERTRACKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OSMVIEWERTRACKNode setRendered(boolean value)

    - #### setSize

          public OSMVIEWERTRACKNode setSize(java.lang.String value)

    - #### bindSize

          public OSMVIEWERTRACKNode bindSize(IDynamicContentBindingObject value)

    - #### setStylevariant

          public OSMVIEWERTRACKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OSMVIEWERTRACKNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.